REPOSITORY-DIST(8)

NAME
repository-dist - enable, configure or disable derivative distribution apt repository

SYNOPSIS
repository-dist [option]

DESCRIPTION
Enables or disables derivative distribution apt repository.

OPTIONS

○   --enable

    Enables derivative distribution apt repository.

○   --disable

    Disables derivative distribution apt repository.

○   --codename codename

    Advanced users option. Specific literal code names. Only useful in combination with --enable.

○   --repository codename

    Chose either the stable, stable-proposed-updates, testers or developers version of derivative distribution. Only useful in combination with --enable.

○   --transport transport

    Chose either plain-tls, plain-tls-tor, onion or onion-tls. Note that onion-tls is at time of writing only a theoretical option. See chapter ONION TLS.

○   --verbose

    Verbose output

RETURN VALUES
0 Success

1 Error

EXAMPLES
sudo repository-dist

sudo repository-dist --enable --repository stable --transport plain-tls-tor

sudo repository-dist --enable --repository stable --transport onion

sudo repository-dist --verbose --enable --repository stable

sudo repository-dist --enable --codename bookworm

sudo repository-dist --disable

sudo repository-dist --disable --verbose

ONION TLS
https://www.kicksecure.com/wiki/Privacy_Policy_Technical_Details#Onion_TLS

WWW
https://www.whonix.org/wiki/Trust

AUTHOR
This man page has been written by Patrick Schleizer (adrelanos@whonix.org).